REM Programm zur Umrechnung von UTM-Koordinaten in geographische Koordinaten
REM z.B. zur Ermittlung des Standorts aus der Deutschen Generalkarte
REM             Christoph Kessler DB1UQ @ DB0GE 19.2.1994
REM Ein UTM-Gitternetz ist vor allem in den "Deutschen Generalkarten 1:200000"
REM zu finden. Damit spart man den Kauf einer detaillierteren Topographischen
REM Karte und das damit verbundene mhsame Peilen mittels Lineal auf die nur
REM am Rand angebrachten Koordinaten. Das Gitternetz besteht aus Quadraten
REM von 10 km Seitenlnge, d.h. 5mm entsprechen 1km, damit ist eine
REM Abschtzung auf 100m (=0,5mm) mglich. Auch eine GPS-Navigations-
REM empfnger ist nicht genauer. Zwei Korrekturfaktoren fr die
REM Breitengrade der BRD sind empirisch ermittelt:
REM Zunchst eine lineare Abweichung von 19,73 km
REM Die quadratische Abhngigkeit vom Abstand zum Mittelmeridian
REM korrigiert einen Fehler von ca. 5 km auf den Grenzmeridianen
REM Mit diesen beiden Korrekturen ergeben sich Abweichungen
REM bei ca. 200 ausgemessenen Kartenpunkten von < 500m
REM In dieser Basic-Version ist COS (2*PI)=1 , also nicht in Grad!
REM Hier ist PI vordefiniert, sonst einfgen: PI=3.1415926
REM bitte beides fr andere Basic-Dialekte nachprfen
REM
DEFDBL "A-Z": REM  nur fr Atari Omikron.Basic - Double Precision einstellen
MM=9: REM  Mittelmeridian fr UTM-Zone 32, stlich vom 12.Lngengrad MM=15
GRDPROKM=360/(2* PI *6370): REM         Grad pro km Erdumfang
KORR1=19.73: REM                        Korrektur 1
KORR2=9.359E-5: REM                     Korrektur 2
INPUT "UTM-km zum quator (z.B. 5481.5 )          ";UB
INPUT "UTM-km bezgl. Mittelmeridian (z.B. 465.6 )  ";UL
UL=UL-500: REM                          Mittelmeridian entspricht "500km"
GB=GRDPROKM*(UB+KORR1-(KORR2*UL*UL))
GL=MM+(UL*GRDPROKM/ COS(2* PI *GB/360))
PRINT "Geographische Breite:                       ";GB;"  Grad"
PRINT "Geographische Lnge:                         ";GL;" Grad"

